SetTenantKpiSettings
PUT
/api/admin/orgs/{slug}/kpi-settings
const url = 'https://your-tenant.consystence.com/api/admin/orgs/example/kpi-settings';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"coverage":{"ok":1,"withhold":1},"resetCoverage":true,"productionFiguresVisibleTo":"example","expectedRevision":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://your-tenant.consystence.com/api/admin/orgs/example/kpi-settings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "coverage": { "ok": 1, "withhold": 1 }, "resetCoverage": true, "productionFiguresVisibleTo": "example", "expectedRevision": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”slug
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
coverage
object
ok
number format: double
withhold
number format: double
resetCoverage
boolean
productionFiguresVisibleTo
string
expectedRevision
string
Examplegenerated
{ "coverage": { "ok": 1, "withhold": 1 }, "resetCoverage": true, "productionFiguresVisibleTo": "example", "expectedRevision": "example"}Responses
Section titled “ Responses ”OK